> For the complete documentation index, see [llms.txt](https://docs.digitalriver.com/commerce-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalriver.com/commerce-api/admin-apis/product-management/manage-products-asynchronous-api/deploying-a-product.md).

# Deploying a product

The following [`POST /v1/products/{productId or ERID}/deploy`](https://docs.digitalriver.com/commerce-api-references/admin-apis/product-management/manage-products-asynchronous-api#v1-products-productid-deploy) request deploys the specified product. Note that you can only deploy an individual or base product. If the product is already retired, the response will return an error. To deploy a specific product, you must provide either a [`productId` ](https://docs.digitalriver.com/commerce-api-references/commerce-api-reference-guide/api-structure/product-identifier)or [`ERID`](https://docs.digitalriver.com/commerce-api-references/commerce-api-reference-guide/api-structure/product-external-reference-identifier-erid).&#x20;

{% tabs %}
{% tab title="cURL" %}
The following example deploys a product with a `productId`.

```http
curl --location --request POST 'https://api.digitalriver.com/v1/products/{productId}/deploy' \
--header 'Authorization: Basic <API_key>' \
...
```

An ERID request requires the `x-erid-as-pid=true` header.

```http
curl --location --request POST 'https://api.digitalriver.com/v1/products/{productId}/deploy' \
--header 'Authorization: Basic <API_key>' \
--header 'header x-erid-as-pid=true' \
...
```

{% endtab %}

{% tab title="202 Accepted response" %}
The request returns a task identifier (`taskId`) in the [asynchronous ](/commerce-api/admin-apis/product-management/getting-started.md#asynchronous-and-synchronous-calls)response.

```json
{
    "taskId": "c714a17d-64f7-4ca5-810c-b4123b3083fa",
    "requestType": "DEPLOY_PRODUCT",
    "taskStatus": "PUBLISHED",
    "receivedTime": "2022-11-28T17:19:40.610Z"
}
```

Use the `taskId` in the response to [verify the successful completion of the request](/commerce-api/admin-apis/product-management/get-the-task-status-for-a-product-synchronous-api/getting-the-latest-information-on-a-product-task.md). You can also verify the successful completion of the task by [checking the product history](#product-history-attributes) in [Global Commerce](https://gc.digitalriver.com/gc/ent/login.do). Note that there may be a delay before these changes appear in Global Commerce.&#x20;
{% endtab %}
{% endtabs %}

There are two ways to verify the deployment of an individual or base product. You can either confirm[ the product is marked as deployed in Global Commerce](#verifying-the-deployment-of-a-product-in-global-commerce) or [get the deployed product](/commerce-api/shopper-apis/product-discovery/products.md#getting-the-deployed-or-retired-versions-of-a-product).

## Verifying the deployment of a product in Global Commerce

1. Sign in to [Global Commerce](https://gc.digitalriver.com/gc/ent/login.do).
2. Select **Catalog**, select **Products**, and then click **Manage Products**. The Products page appears.
3. Click the **Search** tab, select **Product** from the **Search In** drop-down list, and select **ID** from the **Search By** list. Enter the product identifier or ERID in the **Search For** field, then click **Search**.
4. Click the link for the product under the **Internal Product Name column**. The Edit Product page appears, and **(Deployed)** will appear after the product name at the top of the page.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalriver.com/commerce-api/admin-apis/product-management/manage-products-asynchronous-api/deploying-a-product.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
